package cokr.xit.ens.modules.kkoalimtalk.code;

import cokr.xit.ens.core.code.CodeMapperType;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * 발송 메시지 타입 구분
 */
@RequiredArgsConstructor
public enum AlimTalkSendTypeCd implements CodeMapperType {

	
	 UNKNOWN("알수없음")
	,K("카카오")
	,S("SMS")
	,M("MMS")
	,U("MMS URL")
	,E("문자를 발송 하엿으나 결과를 수신하지 못함")
	;
	 
	@Getter
	private final String codeNm;
	
	@Override
	public String getCode() {
		return this.name();
	}


	public static AlimTalkSendTypeCd valueOfEnum(String statCd){
		if(statCd == null)
			return AlimTalkSendTypeCd.UNKNOWN;

		AlimTalkSendTypeCd BizTalkSendTypeCd = null;
		try {
			BizTalkSendTypeCd = BizTalkSendTypeCd.valueOf(statCd);
		} catch (IllegalArgumentException e){
			BizTalkSendTypeCd = BizTalkSendTypeCd.UNKNOWN;
		}
		return BizTalkSendTypeCd;
	}

}
